Bug 14734 - Enhance 264 display in OPAC and Staff XSLT
Summary: Enhance 264 display in OPAC and Staff XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-26 17:26 UTC by Winona Salesky
Modified: 2016-06-21 21:40 UTC (History)
10 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14734 - Enhance 264 display in OPAC and Staff XSLT. Makes 264 repeatable, prefer 264 over 260. If 264/ind1=3 is present in the record the xslt uses ind1 to determine latest 264, if no ind1=3 then all 264 fields are displayed. (28.27 KB, patch)
2015-09-17 00:16 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14734 - Enhance 264 display in OPAC and Staff XSLT. (28.41 KB, patch)
2015-10-05 16:00 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 14734 - Enhance 264 display in OPAC and Staff XSLT. (28.46 KB, patch)
2015-10-24 19:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Winona Salesky 2015-08-26 17:26:00 UTC
Make 264 repeatable in display with labels that match the coding in the indicators. So: 

Dynamically display as Producer, Publisher, Distributor, Manufacturer, and/or Copyright Date information, that is, read 2nd indicators under 264 and translate them to different descriptors: (brief/full display)
_0 → Producer
_1 → Publisher
_2 → Distributor
_3 → Manufacturer
_4 → Copyright Date (display copyright symbol [If I recall correctly, this is a known bug])

example:
264 _1 --> Publisher: New York : Basic Books, [2005]
264 _4 --> Copyright date: ©2005

Display subfields a, b, c, 3

Use if/then/else regarding 260 and 264: If there is no 264, then display 260, else display 264

This enhances changes made in: http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=12724, http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=12725, http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=12726.
Comment 1 Winona Salesky 2015-09-03 14:59:57 UTC
Reading through the LOC page on this field I see that the latest 264 fields can be indicated by ind1=3. I would like to add ind1=3 as a filter to suppress obsolete 264 fields. This is certainly up for discussion if users feel the ind1=3 is not widely utilized. 

Thanks, 
-Winona
Comment 2 HB-NEKLS 2015-09-09 19:49:10 UTC
I'm glad to see someone working on this; I was about to file a bug that records with a 260 field returns with a Publisher: line but records with 264 fields do not return with a Publisher: line in the staff xslt search results. 

It looks your work goes even further. Great, and good luck!
Comment 3 Winona Salesky 2015-09-17 00:16:38 UTC Comment hidden (obsolete)
Comment 4 Héctor Eduardo Castro Avalos 2015-10-05 16:00:59 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-10-24 19:55:03 UTC
Created attachment 43931 [details] [review]
[PASSED QA] Bug 14734 - Enhance 264 display in OPAC and Staff XSLT.

Makes 264 repeatable, prefer 264 over 260. If 264/ind1=3 is present in the
record the xslt uses ind1 to determine latest 264, if no ind1=3 then all
264 fields are displayed.

Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac record details
3) Find or create a record with multiple MARC tags 264
4) Perform a search that would show the record in the search results.
5) Review results for correct 264 display.
6) Click title to review record details.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. 260 not showed when 264 exists, tested with multiple
records. If ind1=3 is present shows the current/latest data

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2015-10-27 14:58:21 UTC
Patch pushed to master.

Thanks Winona!
Comment 7 Winona Salesky 2015-10-27 14:58:56 UTC
Great! Thanks, 
-Winona

(In reply to Tomás Cohen Arazi from comment #6)
> Patch pushed to master.
> 
> Thanks Winona!